---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "15"
  version: 8090020240415135656
  context: 9edba152
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: d109f5b1d4139ec59e52d6def4553e4f614d97b9
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 216a1f394eb423d49bc98d7d938c1625843b4a56
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: bcfa6787ae98f17602917ff68f2b71ca9cea6857
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: 58a2ae51d2a1b061fa54f93d62da514d3d82e32b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - pg_repack-0:1.4.8-1.module_el8.9.0+3706+885c732e.i686
    - pg_repack-0:1.4.8-1.module_el8.9.0+3706+885c732e.src
    - pg_repack-debuginfo-0:1.4.8-1.module_el8.9.0+3706+885c732e.i686
    - pg_repack-debugsource-0:1.4.8-1.module_el8.9.0+3706+885c732e.i686
    - pgaudit-0:1.7.0-1.module_el8.9.0+3706+885c732e.i686
    - pgaudit-0:1.7.0-1.module_el8.9.0+3706+885c732e.src
    - pgaudit-debuginfo-0:1.7.0-1.module_el8.9.0+3706+885c732e.i686
    - pgaudit-debugsource-0:1.7.0-1.module_el8.9.0+3706+885c732e.i686
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el8.9.0+3706+885c732e.i686
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el8.9.0+3706+885c732e.src
    - postgres-decoderbufs-debuginfo-0:1.9.7-1.Final.module_el8.9.0+3706+885c732e.i686
    - postgres-decoderbufs-debugsource-0:1.9.7-1.Final.module_el8.9.0+3706+885c732e.i686
    - postgresql-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.src
    - postgresql-contrib-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-contrib-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-debugsource-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-docs-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-docs-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-plperl-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-plperl-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-plpython3-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-plpython3-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-pltcl-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-pltcl-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-private-devel-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-private-libs-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-private-libs-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-server-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-server-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-server-devel-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-server-devel-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-static-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-test-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-test-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-test-rpm-macros-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.noarch
    - postgresql-upgrade-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-upgrade-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-upgrade-devel-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
    - postgresql-upgrade-devel-debuginfo-0:15.6-1.module_el8.9.0+3814+a6be3bd4.alma.1.i686
...
---
document: modulemd
version: 2
data:
  name: postgresql-devel
  stream: "15"
  version: 8090020240415135656
  context: 9edba152
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      postgresql: [15]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: d109f5b1d4139ec59e52d6def4553e4f614d97b9
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 216a1f394eb423d49bc98d7d938c1625843b4a56
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: bcfa6787ae98f17602917ff68f2b71ca9cea6857
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: 58a2ae51d2a1b061fa54f93d62da514d3d82e32b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
